aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2017-04-19 13:51:01 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2017-04-19 13:51:01 +0000
commit3af59c01a51c5e96cfd99cdb90573bfeb5adca7c (patch)
tree97450e02e81852920380beb3b3cc9a1a60fba062
parentf45e029f82fcbf858b9ba13519c09227b5859467 (diff)
downloadaports-3af59c01a51c5e96cfd99cdb90573bfeb5adca7c.tar.gz
aports-3af59c01a51c5e96cfd99cdb90573bfeb5adca7c.tar.bz2
aports-3af59c01a51c5e96cfd99cdb90573bfeb5adca7c.tar.xz
testing/libneo4j-client: rebuild against libressl 2.5
-rw-r--r--testing/libneo4j-client/APKBUILD28
1 files changed, 3 insertions, 25 deletions
diff --git a/testing/libneo4j-client/APKBUILD b/testing/libneo4j-client/APKBUILD
index c6b623807c..8267caea1d 100644
--- a/testing/libneo4j-client/APKBUILD
+++ b/testing/libneo4j-client/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer: Chris Leishman <chris@leishman.org>
pkgname=libneo4j-client
pkgver=1.2.1
-pkgrel=1
+pkgrel=2
pkgdesc="Client library for the Neo4j graph database"
url="https://github.com/cleishm/libneo4j-client"
arch="x86_64 aarch64"
@@ -11,7 +11,7 @@ depends="openssl"
depends_dev="libressl-dev"
makedepends="$depends_dev automake autoconf libtool check-dev doxygen pkgconfig fts fts-dev libedit-dev libcypher-parser-dev"
install=""
-subpackages="$pkgname-dev $pkgname-doc neo4j-client neo4j-client-doc"
+subpackages="$pkgname-dev $pkgname-doc neo4j-client:client"
source="https://github.com/cleishm/libneo4j-client/releases/download/v$pkgver/$pkgname-$pkgver.tar.gz"
_builddir="$srcdir"/"$pkgname-$pkgver"
@@ -32,28 +32,6 @@ package() {
mv doc/html/* "$pkgdir"/usr/share/doc/libneo4j-client/
}
-doc() {
- depends="$depends_doc"
- pkgdesc="$pkgdesc (documentation)"
- arch=${arch_doc:-"noarch"}
- install_if="docs $pkgname=$pkgver-r$pkgrel"
-
- if [ "X$subpkgname" = "Xlibneo4j-client-doc" ]; then
- mkdir -p "$subpkgdir"/usr/share
- mv "$pkgdir"/usr/share/doc "$subpkgdir"/usr/share/
- elif [ "X$subpkgname" = "Xneo4j-client-doc" ]; then
- mkdir -p "$subpkgdir"/usr/share
- mv "$pkgdir"/usr/share/man "$subpkgdir"/usr/share/
- find "$subpkgdir"/usr/share/man/ -type f | xargs gzip -9
- else
- die "Unknown doc package $pkgname"
- fi
-
- # remove if empty, ignore error (not empty)
- rmdir "$pkgdir"/usr/share "$pkgdir"/usr 2>/dev/null
- return 0
-}
-
client() {
depends="libedit libcypher-parser"
pkgdesc="Command line shell for Neo4j"
@@ -62,7 +40,7 @@ client() {
mv "$pkgdir"/usr/bin "$subpkgdir"/usr/
# remove if empty, ignore error (not empty)
- rmdir "$pkgdir"/usr/bin "$pkgdir"/usr 2>/dev/null
+ rmdir "$pkgdir"/usr/bin "$pkgdir"/usr 2>/dev/null || true
return 0
}
md5sums="f405b5c6e60b503f971e900b5f060820 libneo4j-client-1.2.1.tar.gz"